Bug 1129224

Summary: Review Request: libsearpc - A simple and easy-to-use C language RPC framework
Product: [Fedora] Fedora Reporter: Nikos Roussos <comzeradd>
Component: Package ReviewAssignee: Julien Enselme <jujens>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: i, jujens, package-review, udo.rader
Target Milestone: ---Flags: jujens: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-10-03 17:58:45 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 1129429    

Description Nikos Roussos 2014-08-12 10:48:24 UTC
Spec URL: https://comzeradd.fedorapeople.org/specs/libsearpc.spec
SRPM URL: https://comzeradd.fedorapeople.org/srpms/libsearpc-3.0-1.fc20.src.rpm
Description: A simple and easy-to-use C language RPC framework
Fedora Account System Username: comzeradd

Comment 1 Christopher Meng 2014-08-12 11:18:11 UTC
Am I ok to review ;) ? Don't set flags by yourself.

Comment 2 Christopher Meng 2014-08-25 04:21:45 UTC
I guess you are packaging seafile, right?

Seafile guys are familiar with me, if you need any help, feel free to contact me.

Comment 3 Nikos Roussos 2014-08-26 07:00:00 UTC
Yes, that's the plan :)

Thanks

Comment 4 udo.rader 2014-10-21 19:43:57 UTC
just a second before I stared to package seafile myself, I found this bug (and the old FC18 and FC17 repos by cheesele).

Before reinventing the wheel: any progress made so far in packaing seafile?

Comment 5 Nikos Roussos 2014-10-22 09:02:56 UTC
I have packaged all 4 packages currently needed for Seafile:
http://copr.fedoraproject.org/coprs/comzeradd/seafile/

I have submitted for review this and ccnet (#1129429) and I'm about to submit the two remaining (seafile, seafile-client).

I'm waiting for this to be reviewed :)

Comment 6 Christopher Meng 2014-10-23 03:29:19 UTC
I will review this soon.

Comment 7 udo.rader 2014-10-28 13:46:13 UTC
sorry for the additional noise, but as it seems, someone has already made the entire seafile suite available as a copr build:

https://copr.fedoraproject.org/coprs/pkerling/seafile/

Comment 8 Christopher Meng 2014-10-29 02:05:51 UTC
(In reply to udo.rader from comment #7)
> sorry for the additional noise, but as it seems, someone has already made
> the entire seafile suite available as a copr build:
> 
> https://copr.fedoraproject.org/coprs/pkerling/seafile/

I don't care, because copr is free for everyone.

Comment 9 Nikos Roussos 2014-11-05 11:11:13 UTC
Updated to latest to build seafile 3.1.8

SPEC: https://comzeradd.fedorapeople.org/specs/libsearpc.spec
SRPM: https://comzeradd.fedorapeople.org/srpms/libsearpc-3.0-2.fc21.src.rpm

Comment 10 Nikos Roussos 2015-04-11 11:37:22 UTC
Updated to use release tag instead of commit:
SPEC: https://comzeradd.fedorapeople.org/specs/libsearpc.spec
SRPM: https://comzeradd.fedorapeople.org/srpms/libsearpc-3.0-3.fc21.src.rpm

Comment 11 Julien Enselme 2015-05-04 12:27:32 UTC
Hi,

Since I would like to see seafile in the official repository, I did a review with the hope to help Christopher Meng.

Please note that I have no experience in packaging C/C++ application.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package contains BR: python2-devel or python3-devel
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file COPYING is marked as %doc instead of %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


===== MUST items =====

C/C++:
[X]: Package does not contain kernel modules.
[X]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[X]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later) (with incorrect FSF address)", "Unknown or
     generated". 34 files have unknown license. Detailed output of
     licensecheck in /tmp/1129224-libsearpc/licensecheck.txt
[X]: License file installed when any subpackage combination is installed.
[X]: %build honors applicable compiler flags or justifies otherwise.
[X]: Package contains no bundled libraries without FPC exception.
[X]: Changelog in prescribed format.
[X]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[X]: Development files must be in a -devel package
[X]: Package uses nothing in %doc for runtime.
[X]: Package consistently uses macros (instead of hard-coded directory
     names).
[X]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[X]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
[X]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[X]: Useful -debuginfo package or justification otherwise.
[X]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 3 files.
[X]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[X]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[X]: Package meets the Packaging Guidelines::Python
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[X]: Final provides and requires are sane (see attachments).
[X]: Package functions as described.
[X]: Latest version is packaged.
[X]: Package does not include license text files separate from upstream.
[-]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[X]: Package should compile and build into binary rpms on all supported
     architectures.
[?]: %check is present and all tests pass.
[X]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: libsearpc-3.0-3.fc21.x86_64.rpm
          libsearpc-devel-3.0-3.fc21.x86_64.rpm
          libsearpc-3.0-3.fc21.src.rpm
libsearpc.x86_64: W: spelling-error %description -l en_US Searpc -> Search
libsearpc.x86_64: W: spelling-error %description -l en_US deserialization -> serialization, materialization, denationalization
libsearpc.x86_64: W: no-manual-page-for-binary searpc-codegen.py
libsearpc-devel.x86_64: W: only-non-binary-in-usr-lib
libsearpc-devel.x86_64: W: no-documentation
libsearpc.src: W: spelling-error %description -l en_US Searpc -> Search
libsearpc.src: W: spelling-error %description -l en_US deserialization -> serialization, materialization, denationalization
3 packages and 0 specfiles checked; 0 errors, 7 warnings.




Rpmlint (debuginfo)
-------------------
Checking: libsearpc-debuginfo-3.0-3.fc21.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
libsearpc-devel.x86_64: W: only-non-binary-in-usr-lib
libsearpc-devel.x86_64: W: no-documentation
libsearpc.x86_64: W: spelling-error %description -l en_US Searpc -> Search
libsearpc.x86_64: W: spelling-error %description -l en_US deserialization -> serialization, materialization, denationalization
libsearpc.x86_64: W: no-manual-page-for-binary searpc-codegen.py
3 packages and 0 specfiles checked; 0 errors, 5 warnings.



Requires
--------
libsearpc-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    glib2-devel
    jansson-devel
    libsearpc(x86-64)
    pkgconfig(gio-2.0)
    pkgconfig(gobject-2.0)
    pkgconfig(jansson)

libsearpc (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    /usr/bin/env
    libc.so.6()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libjansson.so.4()(64bit)
    python(abi)
    rtld(GNU_HASH)



Provides
--------
libsearpc-devel:
    libsearpc-devel
    libsearpc-devel(x86-64)
    pkgconfig(libsearpc)

libsearpc:
    libsearpc
    libsearpc(x86-64)
    libsearpc.so.1()(64bit)



Source checksums
----------------
https://github.com/haiwen/libsearpc/archive/v3.0-latest.tar.gz :
  CHECKSUM(SHA256) this package     : 56313771e0ad7dc075c4590b6a75daeb3939937b21716d82c91be2612133b8cd
  CHECKSUM(SHA256) upstream package : 56313771e0ad7dc075c4590b6a75daeb3939937b21716d82c91be2612133b8cd


Generated by fedora-review 0.5.3 (bcf15e3) last change: 2015-05-04
Command line :/usr/bin/fedora-review -b 1129224
Buildroot used: fedora-21-x86_64
Active plugins: Python, Generic, Shell-api, C/C++
Disabled plugins: Java, SugarActivity, fonts, Haskell, Ocaml, Perl, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


According to the README, gobject-2.0 and python simplejson (for pysearpc) are required to build the package but there are not in the BR section. Even if the package builds without error in mock I think they should be specified.

Since the package build some python files, it must have the BR python2-devel.

At the end of the COPYING file there is a section about the clar framework (used for the tests, not package) to be under MIT license. I don't know if we should remove it or not.

Maybe add a %check section and launched tests?

Comment 13 Julien Enselme 2015-09-11 18:08:28 UTC
- Please install the LICENSE with the -devel package

Otherwise, it looks good. Christopher, any elements? If not, I will approve the package once LICENSE is correctly installed.

Comment 15 Julien Enselme 2015-09-14 21:09:17 UTC
Looks good. Approved.

Comment 16 Nikos Roussos 2015-09-14 22:39:12 UTC
New Package SCM Request
=======================
Package Name: libsearpc
Short Description: A simple and easy-to-use C language RPC framework
Upstream URL: https://github.com/haiwen/libsearpc
Owners: comzeradd
Branches: f21 f22 f23
InitialCC:

Comment 17 Christopher Meng 2015-09-14 23:25:36 UTC
Looks fine here.

Comment 18 Gwyn Ciesla 2015-09-15 13:21:10 UTC
Git done (by process-git-requests).

Comment 19 Fedora Update System 2015-09-15 21:06:25 UTC
libsearpc-3.0-5.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15947

Comment 20 Fedora Update System 2015-09-15 21:14:35 UTC
libsearpc-3.0-5.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15948

Comment 21 Fedora Update System 2015-09-15 21:21:16 UTC
libsearpc-3.0-5.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15951

Comment 22 Fedora Update System 2015-09-16 04:52:38 UTC
libsearpc-3.0-5.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update libsearpc'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15947

Comment 23 Fedora Update System 2015-09-17 01:01:55 UTC
libsearpc-3.0-5.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update libsearpc'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15951

Comment 24 Fedora Update System 2015-09-17 01:05:44 UTC
libsearpc-3.0-5.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update libsearpc'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15948

Comment 25 Fedora Update System 2015-10-03 17:58:43 UTC
libsearpc-3.0-5.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2015-10-03 21:17:23 UTC
libsearpc-3.0-5.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 27 Fedora Update System 2015-10-03 21:53:05 UTC
libsearpc-3.0-5.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.